Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.binding
[Java] Class PropertyPathFullBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          org.codehaus.groovy.binding.PropertyPathFullBinding

All Implemented Interfaces:
  PropertyChangeListener

    public class PropertyPathFullBinding
    extends AbstractFullBinding

A property path full binding

Field Summary

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Method Summary
`void` | `bind()`
`void` | `propertyChange(PropertyChangeEvent evt)`
`void` | `rebind()`
`void` | `unbind()`

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### bind

    public void bind()

### propertyChange

    public void propertyChange(PropertyChangeEvent evt)

### rebind

    public void rebind()

### unbind

    public void unbind()

Copyright © 2003-2010 The Codehaus. All rights reserved.